package co.pixelbeard.theanfieldwrap.podcasts;

import com.tonyodev.fetch2.Download;

import co.pixelbeard.theanfieldwrap.data.Podcast;

public interface OnPodcastSelectedListener {
    void onPodcastSelected(Podcast podcast);

    void onDownloadPodcastSelected(Podcast podcast, int adapterPosition);

    boolean isDownloaded(long id);


    Download isDownloading(String podcastFullUrl);

    void savePodcast(Podcast podcast, Download download);

}
